-- Jonathan Anderson 
-- Alone in the Dark
-- Alpha

function love.load(arg)
	Player = {}
	Player.Speed = 50
	Player.Img = love.graphics.newImage("Assets/PlayerShip/PlayerShipNormal.png")
	Player.X = 100
	Player.Y = 100
	MouseX = 100
	MouseY = 100
end

function love.update(dt)
	MoveTowardsMouse(dt)
end

function love.draw(dt)
	love.graphics.draw(Player.Img, Player.X, Player.Y, Player.R, 1, 1, Player.Img:getWidth()/2, Player.Img:getHeight()/2)
end

function love.mousepressed(x, y, button)
	if button == 1 then
		MouseX = x
		MouseY = y
	end
end


function MoveTowardsMouse(dt)
	angle = math.atan2((MouseY - Player.Y), (MouseX - Player.X))
	Player.R = angle + (math.pi/2)
	if Player.X ~= MouseX or Player.Y ~= MouseY then
		Player.X = Player.X + (Player.Speed * math.cos(angle)) * dt
		Player.Y = Player.Y + (Player.Speed * math.sin(angle)) * dt
	end
end